/*======================================*/
/* SECCIÓN DE PRONÓSTICOS        */
/*======================================*/
.pronostico-section {
  display: flex;
  justify-content: center;
  padding: 0 3%;
}

.pronostico-section .widget_block{
    width: 100%;
    justify-content: center;
    display: flex;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.pronostico-section {
  padding: 5% 5% 5% 5%;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.pronostico-section {
  padding: 8% 8% 8% 8%;
}
}

/*======================================*/
/* SECCIÓN DE ENCABEZADO DE SERVICIOS   */
/*======================================*/

.services-dinamic-space{
    padding: 0;
    background: var(--color-light-gray);
}

/*======================================*/
/* SECCIÓN DE TABS POR SERVICIO   */
/*======================================*/
.tabs-section {
  max-width: 100%;
}

.tabs-nav {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  margin-bottom: 15px;
}

.tab-panel {
  display: none;
  animation: fade 0.3s ease;
}

.tab-panel.active {
  display: block;
}

.tab-panel h2,
.tab-panel h3, 
.tab-panel h4,
.tab-panel h5,
.tab-panel h6
 {
  margin-bottom: 20px;
}

.tab-panel p {
  margin-bottom: 20px;
}

.tab-panel ul {
  margin-left: 20px;
  display: flex;
  flex-direction: column;
  padding: 0;
  margin-bottom: 20px;
}

.tab-panel ul li {
  margin-bottom: 5px;
}

.tab-accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease, padding 0.3s ease;
}

.tab-panel.active .tab-accordion-content {
  max-height: 500px;
}

.tab-accordion-title {
  display: none;
}

.btn-geosciences-tab {
  background: var(--color-medium-gray);
  color: var(--color-medium-blue);
}

.btn-geosciences-tab:hover {
  background: var(--color-light-blue);
  color: var(--color-white);
}

.btn-geosciences-tab.active {
  background: var(--color-dark-blue);
  color: var(--color-white);
}

@keyframes fade {
from {
  opacity: 0;
  transform: translateY(5px);
}

to {
  opacity: 1;
  transform: translateY(0);
}
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
  .tab-panel.active .tab-accordion-content {
    max-height: 600px;
  }
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.tabs-nav {
  display: none;
}

.tab-panel {
  display: block;
}

.tab-accordion-title {
  padding: 12px 20px;
  background: var(--color-medium-gray);
  color: var(--color-medium-blue);
  border-radius: 5px;
  font-size: 16px;
  font-weight: 600;
  
  text-align: left;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  gap: 10px;
}

.tab-accordion-title .icon {
  width: 10px;
  height: 10px;
  border-right: 2px solid var(--color-medium-blue);
  border-bottom: 2px solid var(--color-medium-blue);
  transform: rotate(45deg);
  transition: transform 0.3s ease;
  flex-shrink: 0;
}

.tab-panel.active .tab-accordion-title .icon {
  transform: rotate(-135deg);
}

.tab-panel.active .tab-accordion-content {
  max-height: 800px;
}
}


/*======================================*/
/* SECCIÓN DE ENCABEZADO DE SECTORES   */
/*======================================*/
.geoscience-sectors-header-section {
  background: var(--color-white);
}

.geoscience-sectors-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  max-width: 1500px;
  padding: 5% 3% 1% 3%;
}

.geoscience-sector-options-section {
  background: var(--color-white);
}

.geoscience-sector-options {
  max-width: 1500px;
  padding: 1% 3%;

  display: flex;
  gap: 20px;
  justify-content: center;
  align-items: stretch; 
  min-width: 100%;
  flex-wrap: wrap;
  overflow: hidden;
}

.geoscience-sector-option {
  position: relative;
  border-radius: 50%;
  border: none;
  background-color: transparent;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 0.3s ease, transform 0.3s ease;
  background-color: var(--color-light-gray);

  outline: none;
  box-shadow: none;
  -webkit-tap-highlight-color: transparent;

  width: 105px;
  height: 105px;
}

.geoscience-sector-option:focus,
.geoscience-sector-option:active {
  outline: none;
  box-shadow: none; 
}

.geoscience-sector-option.active{
  background-color: var(--color-medium-blue);
}

.geoscience-sector-option:hover {
  background-color: var(--color-dark-blue);
}

.geoscience-sector-option .geoscience-sector-icon {
  width: 100%;
  height: 100%;
  background-image: var(--color-icon);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  transition: background-image 0.3s ease, transform 0.3s ease;
  padding: 1%;
  transform-origin: center center;
}

.geoscience-sector-option:hover .geoscience-sector-icon,
.geoscience-sector-option.active .geoscience-sector-icon {
  background-image: var(--white-icon);
  transform: scale(1.05);
}

.geoscience-sector-tooltip {
  position: absolute;
  top: 75%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 5px 10px;

  font-size: 14px;
  font-weight: 600;
  border-radius: 5px;

  background: var(--color-light-gray);
  color: var(--color-medium-blue);

  white-space: normal;      
  width: max-content;         
  max-width: calc(100% + 20px);           
  text-align: center;

  opacity: 0;
  transition: opacity 0.3s ease;

  z-index: 2;
}
.geoscience-sector-option:hover .geoscience-sector-tooltip{
  background: var(--color-light-blue);
  color: var(--color-white);
}

.geoscience-sector-option:hover .geoscience-sector-tooltip,
.geoscience-sector-option.active .geoscience-sector-tooltip {
  opacity: 1;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.geoscience-sector-options-section {
  top: 0px;
}

.geoscience-sectors-header {
  padding: 5% 5% 1% 5%;
}

.geoscience-sector-options {
    padding: 2% 5%;
}

.geoscience-sector-option{
  width: 95px;
  height: 95px;
}
.geoscience-sector-tooltip {
  font-size: 13px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.geoscience-sector-options-section {
  top: 0px;
}

.geoscience-sectors-header {
  padding: 8% 8% 2% 8%;
}

.geoscience-sector-options {
    padding: 3% 8%;
}

.geoscience-sector-option{
  width: 85px;
  height: 85px;
}
.geoscience-sector-tooltip {
  font-size: 12px;
}
}

/*======================================*/
/* SECCIÓN DE SECTORES  */
/*======================================*/
.geosciences-sectors-section {
  background: var(--color-white);
  overflow: hidden;
}

.geosciences-sectors-container {
  display: flex;
  max-width: 1500px;
  flex-direction: column;
  margin-left: auto;
  margin-right: auto;
  padding: 1% 3% 3% 3%;
}

.geosciences-sectors-carousel {
  display: flex;
  align-items: center;
  position: relative;
}

.geosciences-sectors-viewport {
  overflow: hidden;
  width: 100%;
}

.geosciences-sectors-track {
  display: flex;
  gap: 30px;
  transition: transform 0.6s ease-in-out;
  will-change: transform;
}

.geosciences-sector-slide {
  min-height: 400px;
  padding: 40px;
  border-radius: 20px;
  color: var(--color-white);

  background:
    linear-gradient(
      90deg,
      var(--color-dark-blue) 0%,
      var(--color-medium-blue) 50%,
      rgba(255, 255, 255, 0) 100%
    ),
    var(--bg-image) no-repeat;

  background-size: cover;
  background-position: center;

  flex: 0 0 88%;
}

.geosciences-sectors-track > *:last-child {
  flex: 0 0 100%;
}

.geosciences-sector-content {
  position: relative;
  width: 86%;
  margin-left: 10px;
}

.geosciences-sector-title {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 20px;
}

.geosciences-sector-title img {
  height: 150px;
  background-color: var(--color-white);
  border-radius: 50%;
  padding: 1%;
}

.geosciences-sector-slide h1,
.geosciences-sector-slide h2,
.geosciences-sector-slide h3,
.geosciences-sector-slide h4,
.geosciences-sector-slide h5,
.geosciences-sector-slide h6,
.geosciences-sector-slide p,
.geosciences-sector-slide ul li{
  color: var(--color-white);
}

.geosciences-sector-slide h4,
.geosciences-sector-slide h5,
.geosciences-sector-slide h6
 {
  margin-bottom: 20px;
}

.geosciences-sector-slide p {
  margin-bottom: 20px;
  color: var(--color-white);
}

.geosciences-sector-slide ul {
  margin-left: 20px;
  margin-bottom: 20px;
  padding: 0;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.geosciences-sectors-container {
  padding: 2% 5% 5% 5%;
}

.geosciences-sector-slide {
  flex: 0 0 92%;
  padding: 40px 30px;
}
.geosciences-sector-title img {
  height: 135px;
}

.geosciences-sector-content {
  margin-left: 5px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.geosciences-sectors-container {
  padding: 3% 8% 8% 8%;
}

.geosciences-sector-slide {
  flex: 0 0 100%;
  padding: 35px 20px;
}

.geosciences-sector-content {
  margin-left: 0px;
  width: 100%;
}

.geosciences-sector-title {
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

.geosciences-sector-title img {
  height: 120px;
}

.geosciences-sectors-carousel .nav-arrow.prev {
  left: -20px;
}

.geosciences-sectors-carousel .nav-arrow.next {
  right: -20px;
}
}

/*======================================*/
/* SECCIÓN DE SOLUCIONES DIGITALES  */
/*======================================*/
.soluciones-section {
  position: relative;
  background: linear-gradient(0deg, var(--color-dark-blue) 0%, var(--color-medium-blue) 100%)
}

.soluciones-container {
  max-width: 1500px;
  margin: auto;
  padding: 3% 3% 3% 3%;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.soluciones-container h2 {
  color: var(--color-white);
}

.soluciones-container h3 {
  color: var(--color-white);
  margin-bottom: 10px;
}

.soluciones-container p {
  color: var(--color-white);
  margin-bottom: 20px;
}

.soluciones-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 60px;
  margin-top: 20px;
}

.soluciones-card {
  flex: 0 0 calc(33% - 40px);
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 5px;
  border-radius: 5px;
  position: relative;
}

.soluciones-card-img {
  width: 150px;
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 10px;
}

.soluciones-card-img img {
  width: 150px;
  height: auto;
}

.soluciones-card h4 {
  margin-bottom: 20px;
  color: var(--color-white);
}

.soluciones-card p {
  margin-bottom: 20px;
  color: var(--color-white);
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.soluciones-container {
  padding: 5% 5% 5% 5%;
}

.soluciones-grid {
  gap: 40px;
}

.soluciones-card {
  flex: 0 0 calc(50% - 20px);
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.soluciones-container {
  padding: 8% 8% 8% 8%;
}

.soluciones-card {
  flex: 0 0 100%;
  max-width: 100%;
}
}

/*======================================*/
/* MÉTRICAS */
/*======================================*/

.metrics-section {
  position: relative;
}

.metrics-container {
  max-width: 1500px;
  margin: auto;
  padding: 3% 3% 3% 3%;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.metrics-container p {
  margin-bottom: 20px;
}

.metrics-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  justify-content: center;
  width: 100%;
  margin-top: 20px;
}

.metric-group {
  display: flex;
  flex-wrap: nowrap;
  gap: 30px;
  width: calc(50% - 30px);
  min-width: 0;
  border-radius: 5px;
  position: relative;
}

.metric-group.row-even{
    flex-direction: row-reverse;
}

.metric-card {
  flex: 1 1 calc(25% - 30px);
  min-height: 200px;
  border-radius: 20px;
  overflow: hidden;
  display: flex;
  text-align: center;
  padding: 20px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px; 
}

.metric-card strong {
  display: block;
  font-size: 45px;
  font-weight: 700;
  line-height: 1;
  transition: transform 0.3s ease;
}

.metric-card:hover strong {
  transform: scale(1.12);
}

.metric-card p {
  color: var(--color-white);
  margin-bottom: 0px;
}

.metric-card--light {
  background: var(--color-light-blue);
  color: var(--color-white);
}

.metric-card--dark {
  background: var(--color-medium-blue);
  color: var(--color-white);
}

.metric-card-image {
  padding: 0;
}

.metric-card-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.metrics-container {
  padding: 5% 5% 5% 5%;
}

.metrics-grid {
  gap: 20px;
}

.metric-card {
  flex: 1 1 calc(50% - 20px);
}

.metric-card strong {
  font-size: 35px;
}

.metric-group {
  gap: 20px;
  width: calc(50% - 20px);
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.metrics-container {
  padding: 8% 8% 8% 8%;
}

.metrics-grid {
  gap: 10px;
}

.metric-card {
  flex: 1 1 calc(50% - 10px);
}

.metric-card strong {
  font-size: 35px;
}
.metric-group {
  gap: 10px;
  width: 100%;
}
}

/*======================================*/
/* CASOS DE ÉXITOS  */
/*======================================*/
.success-stories-section {
  position: relative;
  background: var(--color-light-gray);
}

.success-stories-container {
  max-width: 1500px;
  margin: auto;
  padding: 3% 3% 3% 3%;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.success-stories-container h3 {
  margin-bottom: 10px;
}

.success-stories-container p {
  margin-bottom: 20px;
}

.success-stories-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  margin: 40px auto 0 auto;
  justify-content: center;
}

.success-story-card {
  background: var(--color-white);
  border-radius: 20px;
  padding: 0 20px 30px 20px;
  margin-top: 60px;
  width: 100%;
  max-width: 31%;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  position: relative;
}

.success-story-logo {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: -75px auto 0;

  position: relative;
  background: var(--color-white); 

  z-index: 2;
}

.success-story-logo::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  padding: 5px; 

  background: linear-gradient(
    180deg,
    var(--color-light-blue),
    var(--color-medium-blue)
  );

  -webkit-mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
          mask-composite: exclude;

  pointer-events: none;
}

.success-story-logo img {
  max-width: 80%;
}

.success-story-client {
  color: var(--color-light-blue);
  margin-top: 10px;
}

.success-story-card h4 {
  font-weight: 700;
  margin-bottom: 10px;
}

.success-story-card p {
  margin-bottom: 20px;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.success-stories-container {
  padding: 5% 5% 5% 5%;
}

.success-stories-grid {
  gap: 20px;
}

.success-story-card {
  max-width: 48%;
  margin-top: 70px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.success-stories-container {
  padding: 8% 8% 8% 8%;
}

.success-stories-grid {
  gap: 20px;
}

.success-story-card {
  max-width: 100%;
}
}

/*Animaciones */
.success-story-card {  
  --visibility-progress: 0;
  opacity: var(--visibility-progress);
  transform: translateY(calc(30px * (1 - var(--visibility-progress))));
  transition: opacity 0.1s linear, transform 0.1s linear;
}

.success-story-card.animate-in {
  --visibility-progress: 1;
}


/*======================================*/
/* EXPERIENCIA  */
/*======================================*/
.geosciences-experience-section{
  max-width: 1500px;
  margin: auto;
  padding: 3%;
  margin-bottom: 3%;
  margin-top: 3%;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.geosciences-experience-section{
  padding: 5%;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.geosciences-experience-section{
  padding: 8%;
}
}

/*======================================*/
/* DESTACAR BUSQUEDA                    */
/*======================================*/
.geoscience-sector-option::before {
  content: '';
  position: absolute;
  inset: 0;
  background-color: var(--color-highlight);
  opacity: 0;
  transition: opacity 1.2s ease;
  z-index: 1;
  pointer-events: none;
  border-radius: 50%;
}

.geoscience-sector-option.highlight::before {
  opacity: 0.6;
}

.soluciones-card::before {
  content: '';
  position: absolute;
  inset: 0;
  background-color: var(--color-highlight);
  opacity: 0;
  transition: opacity 1.2s ease;
  z-index: 1;
  pointer-events: none;
  border-radius: 5px;
}

.soluciones-card.highlight::before{
  opacity: 0.6;
}

.metric-group::before,
.success-story-card::before {
  content: '';
  position: absolute;
  inset: 0;
  background-color: var(--color-highlight);
  opacity: 0;
  transition: opacity 1.2s ease;
  z-index: 1;
  pointer-events: none;
  border-radius: 20px;
}

.metric-group.highlight::before,
.success-story-card.highlight::before {
  opacity: 0.6;
}
